\begin{ManPage}{\label{man-condor-history}\Condor{history}}{1}
{View log of HTCondor jobs completed to date}
\index{HTCondor commands!condor\_history}
\index{condor\_history command}
\Synopsis
\SynProg{\Condor{history}}
\oOpt{-help} 

\SynProg{\Condor{history}}
\oOptArg{-name}{name}
\oOptArg{-pool}{centralmanagerhostname[:portnumber]}
\oOpt{-backwards}
\oOpt{-forwards}
\oOptArg{-constraint}{expr}
\oOptArg{-file}{filename}
\oOptArg{-userlog}{filename}
\oOptArg{-format}{formatString AttributeName}
\oOptArg{-autoformat[:lhVr,tng]}{attr1 [attr2 ...]}
\oOpt{-l \Bar -long \Bar -xml} 
\oOptArg{-match \Bar -limit}{number}
\oOpt{cluster \Bar cluster.process \Bar owner}

\Description
\Condor{history} displays a summary of all HTCondor jobs listed in the
specified history files.
If no history files are specified with the \Opt{-file} option, 
the local history file as specified in HTCondor's configuration file
(\File{\MacroUNI{SPOOL}/history} by default) is read.  
The default listing summarizes in reverse chronological order
each job on a single line, and  contains the following items:


\begin{description}
\item[ID] The cluster/process id of the job. 
\item[OWNER] The owner of the job. 
\item[SUBMITTED] The month, day, hour, and minute the job was submitted to the queue. 
\item[RUN\_TIME] Remote wall clock time accumulated by the job to date in days, hours, minutes, and seconds,  given as the job ClassAd attribute
\AdAttr{RemoteWallClockTime}.
\item[ST] Completion status of the job (C = completed and X = removed).
\item[COMPLETED] The time the job was completed.
\item[CMD] The name of the executable. 
\end{description}

If a job ID (in the form of \Argnm{cluster\_id} or \Argnm{cluster\_id.proc\_id}) or an
\Argnm{owner} is provided, output will be restricted to jobs with the
specified IDs and/or submitted by the specified owner.  
The \Argnm{-constraint} option can be used to display jobs that satisfy a
specified boolean expression.

The history file is kept in chronological order,
implying that new entries are appended at the end of the
file.

\begin{Options}
  \OptItem{\Opt{-help}}{Display usage information and exit.}
  \OptItem{\OptArg{-name}{name}}{Query the named \Condor{schedd} daemon. }
  \OptItem{\OptArg{-pool}{centralmanagerhostname[:portnumber]}}
    {Use the \Argnm{centralmanagerhostname} as
    the central manager to locate \Condor{schedd} daemons.
    The default is the \MacroNI{COLLECTOR\_HOST},
    as specified in the configuration.}
  \OptItem{\Opt{-backwards}}{List jobs in reverse chronological
    order. The job most recently added to the history file is first.
    This is the default ordering.}
  \OptItem{\Opt{-forwards}}{List jobs in chronological
    order. The job most recently added to the history file is last.
    At least 4 characters must be given to distinguish this option
    from the \Opt{-file} and \Opt{-format} options. }
  \OptItem{\OptArg{-constraint}{expr}}{Display jobs that satisfy the
    expression.}
  \OptItem{\OptArg{-file}{filename}}{Use the specified file instead of the
    default history file.  }
  \OptItem{\OptArg{-userlog}{filename}}{Display jobs, with job information
    coming from a job event log,
    instead of from the default history file.
    A job event log does not contain all of the job information, so some fields in
    the normal output of \Condor{history} will be blank.}
  \OptItem{\OptArg{-format}{formatString}{AttributeName}}{Display jobs
    with a custom format. See the \Condor{q} man page \Opt{-format} option
    for details.}
  \OptItem{\OptArg{-autoformat[:lhVr,tng]}{attr1 [attr2 ...]} 
  or \OptArg{-af[:lhVr,tng]}{attr1 [attr2 ...]}} {
    (output option) Display attribute(s) or expression(s)
    formatted in a default way according to attribute types.  
    This option takes an arbitrary number of attribute names as arguments,
    and prints out their values, 
    with a space between each value and a newline character after 
    the last value.  
    It is like the \Opt{-format} option without format strings.

    It is assumed that no attribute names begin with a dash character,
    so that the next word that begins with dash is the 
    start of the next option.
    The \Opt{autoformat} option may be followed by a colon character
    and formatting qualifiers to deviate the output formatting from
    the default:

    \textbf{l} label each field,

    \textbf{h} print column headings before the first line of output,

    \textbf{V} use \%V rather than \%v for formatting (string values
    are quoted),

    \textbf{r} print "raw", or unevaluated values,

    \textbf{,} add a comma character after each field,

    \textbf{t} add a tab character before each field instead of 
    the default space character,

    \textbf{n} add a newline character after each field,

    \textbf{g} add a newline character between ClassAds, and
    suppress spaces before each field.

    Use \textbf{-af:h} to get tabular values with headings.

    Use \textbf{-af:lrng} to get -long equivalent format.

    The newline and comma characters may \emph{not} be used together.
    The \textbf{l} and \textbf{h} characters may \emph{not} be used
    together.
    }
  \OptItem{\Opt{-l} or \Opt{-long}}{Display job ClassAds in long format.}
  \OptItem{\OptArg{-limit}{Number}}
    {Limit the number of jobs displayed to \Arg{Number}.  Same option as
    \Opt{-match}. }
  \OptItem{\OptArg{-match}{Number}} 
    {Limit the number of jobs displayed to \Arg{Number}. Same option as
    \Opt{-limit}. } 
  \OptItem{\Opt{-xml}}{Display job ClassAds in XML format.
    The XML format is fully defined in the reference manual,
    obtained from the ClassAds web page, with a link at
    \URL{http://htcondor.org/classad/classad.html}.}
\end{Options}

\ExitStatus

\Condor{history} will exit with a status value of 0 (zero) upon success,
and it will exit with the value 1 (one) upon failure.

\end{ManPage}
